Package org.apache.tapestry5.internal.services

# Class ComponentRequestHandlerTerminator

java.lang.Object
org.apache.tapestry5.internal.services.ComponentRequestHandlerTerminator

All Implemented Interfaces:
  `ComponentRequestHandler`

public class ComponentRequestHandlerTerminator extends Object implements ComponentRequestHandler
Terminator for the `ComponentRequestHandler` pipeline, that feeds out into the `ComponentEventRequestHandler` and `PageRenderRequestHandler` pipelines.

Since:
  5.1.0.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ComponentRequestHandlerTerminator(ComponentEventRequestHandler componentEventRequestHandler, PageRenderRequestHandler pageRenderRequestHandler, InvalidationEventHub invalidationEventHub, ComponentDependencyRegistry componentDependencyRegistry)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `handleComponentEvent(ComponentEventRequestParameters parameters)`
  Handler for a component action request which will trigger an event on a component and use the return value to send a response to the client (typically, a redirect to a page render URL).
  `void`
  `handlePageRender(PageRenderRequestParameters parameters)`
  Invoked to activate and render a page.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ComponentRequestHandlerTerminator

    public ComponentRequestHandlerTerminator(@Traditional ComponentEventRequestHandler componentEventRequestHandler, PageRenderRequestHandler pageRenderRequestHandler, @ComponentClasses InvalidationEventHub invalidationEventHub, ComponentDependencyRegistry componentDependencyRegistry)

- ## Method Details

  - ### handleComponentEvent

    public void handleComponentEvent(ComponentEventRequestParameters parameters) throws IOException
    Description copied from interface: `ComponentRequestHandler`
    Handler for a component action request which will trigger an event on a component and use the return value to send a response to the client (typically, a redirect to a page render URL).
    Specified by:
      `handleComponentEvent` in interface `ComponentRequestHandler`
    Parameters:
      `parameters` - defining the request
    Throws:
      `IOException`

  - ### handlePageRender

    public void handlePageRender(PageRenderRequestParameters parameters) throws IOException
    Description copied from interface: `ComponentRequestHandler`
    Invoked to activate and render a page. In certain cases, based on values returned when activating the page, a `ComponentEventResultProcessor` may be used to send an alternate response (typically, a redirect).
    Specified by:
      `handlePageRender` in interface `ComponentRequestHandler`
    Parameters:
      `parameters` - defines the page name and activation context
    Throws:
      `IOException`